Bug 36378 - glibc.spec needs a BuildPreReq: header.
Summary: glibc.spec needs a BuildPreReq: header.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-17 22:38 UTC by Sam Varshavchik
Modified: 2016-11-24 15:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-27 08:49:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sam Varshavchik 2001-04-17 22:38:07 UTC
After I rebuilt glibc-2.2.2-10.src.rpm I did not get memusage and
memusagestat packaged into glibc-common.

Tracked it down to a dependency in configure.in:
 
dnl Check whether we have the gd library available.
AC_MSG_CHECKING(for libgd)
if test "$with_gd" != "no"; then
  old_CFLAGS="$CFLAGS"
  CFLAGS="$CFLAGS $libgd_include"
  old_LDFLAGS="$LDFLAGS"
  LDFLAGS="$LDFLAGS $libgd_ldflags"
  old_LIBS="$LIBS"
  LIBS="$LIBS -lgd -lpng -lz -lm"
  AC_TRY_LINK([#include <gd.h>], [gdImagePng (0, 0)], LIBGD=yes, LIBGD=no)
  CFLAGS="$old_CFLAGS"
  LDFLAGS="$old_LDFLAGS"
  LIBS="$old_LIBS"
else
  LIBGD=no
fi

memusage+friends is dependent on LIBGD, in malloc/Makefile

I did not have gd-devel installed, so I did not get memusage built.

It is necessary to add BuildPreReq: gd-devel libpng-devel zlib-devel to
glibc.spec, in order to make sure that the requisite libraries are present
before glibc is built.

Comment 1 Jakub Jelinek 2001-04-27 08:49:49 UTC
Makes sense, added to glibc-2.2.3-5.


Note You need to log in before you can comment on or make changes to this bug.